Bug 1126303 - Unexpected symbols in power management settings causes ISE
Summary: Unexpected symbols in power management settings causes ISE
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Lestach
QA Contact: Pavel Studeník
URL:
Whiteboard:
Depends On:
Blocks: sat570-powermgmt
TreeView+ depends on / blocked
 
Reported: 2014-08-04 06:54 UTC by Jiří Mikulka
Modified: 2015-01-13 10:26 UTC (History)
3 users (show)

Fixed In Version: spacewalk-java-2.3.8-13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-13 10:26:40 UTC


Attachments (Terms of Use)

Description Jiří Mikulka 2014-08-04 06:54:24 UTC
Description of problem:
Unexpected symbols in any of the fields on Provisioning -> Power Management page leads to an ISE and traceback in catalina.out.

Version-Release number of selected component (if applicable):
spacewalk-backend-2.2.43-1.el6.noarch (Satellite 5.7/Spacewalk 2.2)

How reproducible:
always

Steps to Reproduce:
1. prepare Satellite 5.7 with power management support enabled (fence-agents installed)
2. register client to the Satellite, add provisioning entitlement
3. fill in the values in <system> -> Provisioning -> Power management
4. put some unexpected symbols (like ;) into any of the fields -> ISE
   * e.g. System identifier: '-P ; echo "sth"'

Actual results:
ISE + traceback in catalina.out:
[...]
2014-08-04 08:49:53,374 [TP-Processor8] WARN  org.apache.struts.action.RequestProcessor - Unhandled Exception thrown: class org.cobbler.XmlRpcException
2014-08-04 08:49:53,374 [TP-Processor8] ERROR com.redhat.rhn.frontend.servlets.SessionFilter - Error during transaction. Rolling back
javax.servlet.ServletException: org.cobbler.XmlRpcException: XmlRpcException calling cobbler.
        at org.apache.struts.action.RequestProcessor.processException(RequestProcessor.java:520)
[...]
Caused by: org.cobbler.XmlRpcException: XmlRpcException calling cobbler.
        at org.cobbler.CobblerConnection.invokeMethod(CobblerConnection.java:120)
        at org.cobbler.CobblerConnection.invokeTokenMethod(CobblerConnection.java:150)
        at org.cobbler.SystemRecord.invokeModify(SystemRecord.java:216)
        at org.cobbler.CobblerObject.modify(CobblerObject.java:149)
        at org.cobbler.SystemRecord.setPowerId(SystemRecord.java:589)
        at com.redhat.rhn.manager.kickstart.cobbler.CobblerPowerSettingsUpdateCommand.store(CobblerPowerSettingsUpdateCommand.java:133)
        at com.redhat.rhn.frontend.action.kickstart.PowerManagementAction.execute(PowerManagementAction.java:95)
        at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:425)
        ... 40 more
Caused by: redstone.xmlrpc.XmlRpcFault: <class 'cobbler.cexceptions.CX'>:'Invalid characters found in input'
        at redstone.xmlrpc.XmlRpcClient.handleResponse(XmlRpcClient.java:443)
        at redstone.xmlrpc.XmlRpcClient.endCall(XmlRpcClient.java:376)
        at redstone.xmlrpc.XmlRpcClient.invoke(XmlRpcClient.java:165)
        at org.cobbler.CobblerConnection.invokeMethod(CobblerConnection.java:117)
        ... 47 more
[...]

Expected results:
no ISE, warning about unexpected symbols in the form

Additional info:

Comment 1 Tomas Lestach 2014-09-11 13:06:10 UTC
Taking

Comment 2 Tomas Lestach 2014-09-12 09:20:49 UTC
spacewalk.git: 9561f47a1f3471365b37bc253336c7e0791caa10

Comment 6 Pavel Studeník 2014-10-10 14:25:38 UTC
Verified with spacewalk-java-2.3.8-28.el6sat.noarch

Comment 7 Clifford Perry 2015-01-13 10:26:40 UTC
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff

NOTE: This bug has not been re-verified (moved to RELEASE_PENDING) prior to release. We assume that the bug has indeed been fixed and not regressed since we initially verified it. Please re-open in the future if needed.


Note You need to log in before you can comment on or make changes to this bug.